Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class ApplicationUtils

public class ApplicationUtils

Field Summary
`final static Locale` | `locale`

Method Summary
`static void` | `assertTrue(boolean o, String msg)`
`static void` | `browse(String url)`
`static void` | `copyFile(String dst, String src)`
`static void` | `copyFile(File dst, File src)`
`static void` | `copyFile(File dst, File src, FunctionJobControl jc)`
`static FunctionJobControl` | `createFunctionJobControl(Category cat)`
`static JWindow` | `createSplashScreen(URL url)`
`static boolean` | `dialogAreYouSure(String msg)`
`static void` | `errorBox(Throwable ex)`
`static void` | `errorBox(String msg)`
`static void` | `errorBox(String title, String msg)`
`static void` | `errorBox(JFrame frame, String title, String msg)`
`static String` | `format(double v, String format)`
`static String` | `getCommonParent(String name1, String name2)`
`static ArrayList` | `getFiles(File dir, Set excludedNames)`
`static ArrayList` | `getFiles(File dir)`
`static JFrame` | `getFrame()`
`static ImageIcon` | `getImageIcon(URL url)`
`static ImageIcon` | `getImageIcon(String imagename)`
`static String` | `getLastToken(String str, String delimeters)`
`static int` | `getMaxHeight(Container cont)`
`static Dimension[]` | `getMaxMinDimensions(Container cont)`
`static int` | `getMaxWidth(Container cont)`
`static int` | `getMinHeight(Container cont)`
`static int` | `getMinWidth(Container cont)`
`static ImageIcon` | `getResourceImageIcon(String imagename)`
`static int` | `getScreenHeight()`
`static int` | `getScreenWidth()`
`static boolean` | `isJar(String name)`
`static String` | `itoa(int j, int fieldSize)`
`static void` | `messageBox(String title, String msg)`
`static void` | `messageBox(JFrame frame, String title, String msg)`
`static void` | `moveToCenter(Component f)`
`static void` | `removeDir(File dir)`
`static void` | `runTimeConsumingTask(Runnable task)`
`static void` | `runTimeConsumingTaskInSeparateThread(Runnable task)`
`static void` | `setFrame(JFrame fr)`
`static void` | `setResourcesPath(String str)`
`static void` | `sortFiles(File[] files)`
`static JPanel` | `unitPanel(Component comp1, Component comp2)`
`static JSplitPane` | `unitPanel(Component comp1, Component comp2, int splitType)`

Field Detail

### locale

    public final static Locale locale

Method Detail

### assertTrue

    public static void assertTrue(boolean o, String msg)

### browse

    public static void browse(String url)

### copyFile

    public static void copyFile(String dst, String src)
                          throws java.io.IOException

### copyFile

    public static void copyFile(File dst, File src)
                          throws java.io.IOException

### copyFile

    public static void copyFile(File dst, File src, FunctionJobControl jc)
                          throws java.io.IOException

### createFunctionJobControl

    public static FunctionJobControl createFunctionJobControl(Category cat)

### createSplashScreen

    public static JWindow createSplashScreen(URL url)

### dialogAreYouSure

    public static boolean dialogAreYouSure(String msg)

### errorBox

    public static void errorBox(Throwable ex)

### errorBox

    public static void errorBox(String msg)

### errorBox

    public static void errorBox(String title, String msg)

### errorBox

    public static void errorBox(JFrame frame, String title, String msg)

### format

    public static String format(double v, String format)

### getCommonParent

    public static String getCommonParent(String name1, String name2)

### getFiles

    public static ArrayList getFiles(File dir, Set excludedNames)

### getFiles

    public static ArrayList getFiles(File dir)

### getFrame

    public static JFrame getFrame()

### getImageIcon

    public static ImageIcon getImageIcon(URL url)

### getImageIcon

    public static ImageIcon getImageIcon(String imagename)

### getLastToken

    public static String getLastToken(String str, String delimeters)

### getMaxHeight

    public static int getMaxHeight(Container cont)

### getMaxMinDimensions

    public static Dimension[] getMaxMinDimensions(Container cont)

### getMaxWidth

    public static int getMaxWidth(Container cont)

### getMinHeight

    public static int getMinHeight(Container cont)

### getMinWidth

    public static int getMinWidth(Container cont)

### getResourceImageIcon

    public static ImageIcon getResourceImageIcon(String imagename)

### getScreenHeight

    public static int getScreenHeight()

### getScreenWidth

    public static int getScreenWidth()

### isJar

    public static boolean isJar(String name)

### itoa

    public static String itoa(int j, int fieldSize)

### messageBox

    public static void messageBox(String title, String msg)

### messageBox

    public static void messageBox(JFrame frame, String title, String msg)

### moveToCenter

    public static void moveToCenter(Component f)

### removeDir

    public static void removeDir(File dir)

### runTimeConsumingTask

    public static void runTimeConsumingTask(Runnable task)

### runTimeConsumingTaskInSeparateThread

    public static void runTimeConsumingTaskInSeparateThread(Runnable task)

### setFrame

    public static void setFrame(JFrame fr)

### setResourcesPath

    public static void setResourcesPath(String str)

### sortFiles

    public static void sortFiles(File[] files)

### unitPanel

    public static JPanel unitPanel(Component comp1, Component comp2)

### unitPanel

    public static JSplitPane unitPanel(Component comp1, Component comp2, int splitType)

Association Links

to Class java.util.zip.ZipFile

to Class java.lang.String

to Class com.developmentontheedge.application.ApplicationUtils

to Class com.developmentontheedge.application.ApplicationUtils

to Class org.apache.log4j.Category

to Class javax.swing.JFrame

to Class java.util.HashMap

to Class java.util.Locale

to Class java.text.DecimalFormat

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM